-keepattributes *Annotation*,InnerClasses
-keepattributes Signature,EnclosingMethod
-keepclassmembers class * implements java.io.Serializable {*;}
-keepclassmembers class * implements android.io.Parcelable {*;}
-keep class * implements android.os.Parcelable {*;}

-dontwarn android.**
-dontwarn org.eclipse.**
-dontwarn com.google.**
-dontwarn org.slf4j.**
-dontwarn com.tencent.**
-dontwarn framework.**
-dontwarn com.secure.sandbox.server.job.VJobSchedulerService

# Parcelable
-keep class * implements android.io.Parcelable{
    *;
}
# ibinder
-keep class * extends android.os.Binder{
    *;
}
# map
-keep class c.t.m.g.**{*;}
-keep class com.tencent.**{*;}
# hook
-keep class com.secure.sandbox.client.hook.base.Inject{*;}
-keep class com.secure.sandbox.client.hook.base.LogInvocation{*;}
-keep class com.secure.sandbox.client.hook.base.LogInvocation$Condition{*;}
-keep class com.secure.sandbox.client.hook.base.SkipInject{*;}
#-keep class com.secure.sandbox.client.badger.**{*;}
#-keep class com.secure.sandbox.client.hook.base{*;}
#-keep class com.secure.sandbox.client.hook.delegate{*;}
#-keep class com.secure.sandbox.client.hook.providers{*;}
-keep class com.secure.sandbox.client.hook.proxies.** {*;}
-keep class com.secure.sandbox.client.ipc.**{*;}
-keep class huawei.android.app.**{*;}
-keep class com.secure.**{*;}
-keep class android.common.**{*;}
-keep class android.content.pm.**{*;}
-keep class android.os.storage.**{*;}

-keep class * implements com.secure.sandbox.client.badger.IBadger{
    public *;
}
-keep class * implements com.secure.sandbox.server.interfaces.IPCInterface{
    public *;
}
# jni
-keep class com.secure.sandbox.client.NativeEngine {
    public static void onKillProcess(...);
    public static int onGetCallingUid(...);
    public static void onOpenDexFileNative(...);
    public static int onGetUid(...);
    native <methods>;
}
# android
-keep class android.**{
    *;
}
-keepclassmembers class framework.**{
    *;
}
#-repackageclass z1
#-keepattributes SourceFile,LineNumberTable

-dontwarn com.secspace.lesdk.adapter.encspace.**
-keep class com.secspace.lesdk.adapter.encspace.** { *; }












